﻿using Accordion.Utilities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Accordion.Model
{
    public class ViewModel
    {
        public static int indexCount = 1;
        public ViewModel()
        {
        }

        public InspectionComponent GetData()
        {
            InspectionComponent comp = new InspectionComponent();
            AvailableOptionCollection collOpt = new AvailableOptionCollection();
            collOpt.AvailableOptions.Add(new AvailableOption() { Index = 1, Display = "N/A", Value = "N/A" });
            collOpt.AvailableOptions.Add(new AvailableOption() { Index = 2, Display = "Acceptable", Value = "Acceptable" });
            collOpt.AvailableOptions.Add(new AvailableOption() { Index = 3, Display = "Unacceptable", Value = "Unacceptable" });
            comp.AvailableOptionCollections.Add("SurveyThreeWay", collOpt);

            GdsObservableCollection<InspectionItem> coll = new GdsObservableCollection<InspectionItem>();

            /*
            coll.Add(new InspectionItem(comp) { MainCategory = "aaa", SubCategory1 = "subcatAaa", SubCategory2 = "bbb", Id = "Ida", Name = "NameA", DataType = "string" });

            for (int i = 0; i < 3; i++)
            {
                coll.Add(makeFake(comp, "a", "subCatA", "b", i));
                coll.Add(makeFake(comp, "aa", "subCatAA", "bb", i));
                coll.Add(makeFake(comp, "aaa", "subCatAAA", "bbb", i));
                coll.Add(makeFake(comp, "aaaa", "subCatAAAA", "bbbb", i));
                coll.Add(makeFake(comp, "aaaaa", "subCatAAAAA", "bbbbb", i));
                coll.Add(makeFake(comp, "aaaaaa", "subCatAAAAAA", "bbbbbb", i));
            }
            */

            for (int i = 0; i < 3; i++)
            {
                coll.Add(makeFake(comp, "a", "subCatA", "b", i));
            }
            for (int i = 0; i < 3; i++)
            {
                coll.Add(makeFake(comp, "aa", "subCatAA", "bb", i));
            }
            for (int i = 0; i < 3; i++)
            {

                coll.Add(makeFake(comp, "aaa", "subCatAAA", "bbb", i));
            }


                comp.InspectionItems = coll;
            return comp;
        }

        private InspectionItem makeFake(InspectionComponent comp, string mc, string sc1, string sc2, int cnt)
        {
            return new InspectionItem(comp)
            {
                MainCategory = mc,
                SubCategory1 = sc1,
                SubCategory2 = sc2,
                Id = "Id" + indexCount,
                Name = "Name" + indexCount,
                DataType = "radioButtons",
                AvailableOptionListId = "SurveyThreeWay",
                Index = indexCount++
            };
        }
    }
}
